:root {
    --base: #0282b1;
    /* --btn: #057abd; */
    --btn: var(--hlt2);
    --hlt1: #6366f1;
    --hlt2: #3b82f6;
    --icon: #BEDBFE;
    --br: 8px;
    --border: solid 0.5px var(--base);
    --mxw: 1620px;
    --mxwi: 1440px;
    --header-height: 80px;
    --footer-height: 120px;
    --hover: #67a6f825;
    --pad: clamp(12px, 3vw, 56px);
    --sdw: 0px 0px 6px 2px rgba(0, 0, 0, 0.08);
    --error:rgb(184, 29, 29);
}

@font-face {
    font-family: 'Inter';
    src: url(./../assets/fonts/Inter/Inter-VariableFont_opsz\,wght.ttf);
    font-weight: 100 900;
    font-style: normal;
}

html{
    scroll-behavior: smooth;
}

body {
    margin: 0;
    width: 100%;
    min-height: 100dvh;
    font-size: 16px;
    font-family: 'Inter';
    display: flex;
    flex-direction: column;
    align-items: center;

}

header,
section,
footer,
div,
p,
a,
span {
    box-sizing: border-box;

}

h1 {
    font-size: clamp(32px, 5vw, 56px);
    font-weight: 600;
    margin: 0;
}

h2 {
    font-size: clamp(24px, 5vw, 48px);
    font-weight: 600;
    margin: 0;
}

h3 {
    font-size: clamp(20px, 3vw, 24px);
    font-weight: 500;
    margin: 0;
}

h4 {
    font-size: clamp(14px, 3vw, 16px);
    font-weight: 500;
    margin: 0;
    margin-bottom: 8px;
}

a {
    text-decoration: none;
    color: black;
    font-size: 14px;
    padding: 12px;
    border-radius: var(--br);
    transition: background-color 0.3s ease-in-out;
cursor: pointer;
text-align: center;
}

a:hover {
    /* text-decoration: underline;
    text-underline-offset: 6px;
    text-decoration-thickness: 2px; */
    color: var(--hlt1);

}



p {
    margin: 0;
    font-weight: 300;
    color: rgb(80, 80, 80);
}

.d_none {
    display: none !important;
}

.flexEnd {
    justify-content: flex-end !important;
}

input {
    all: unset;
    width: 100%;
    font-size: 14px;


}

input::placeholder {
    font-size: 12px;


}

input:focus::placeholder {
    opacity: 0;
}


input:focus {

    input:-webkit-autofill,
    input:-webkit-autofill:hover,
    input:-webkit-autofill:focus,
    textarea:-webkit-autofill,
    select:-webkit-autofill {
        -webkit-box-shadow: 0 0 0px 1000px white inset !important;
        box-shadow: 0 0 0px 1000px white inset !important;
        -webkit-text-fill-color: #000 !important;
        background-color: white !important;
    }
}


textarea {

    all: unset;
    width: 100%;

    height: 100px;
    overflow: auto;
    resize: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    scrollbar-width: none;
    -ms-overflow-style: none;
    border: var(--border);
    border-radius: var(--radius);
    padding: 12px;
    box-sizing: border-box;
    font-size: 14px;
    font-family: 'Inter';


}

textarea::placeholder {
    font-size: 12px;
}

textarea:focus::placeholder {
    opacity: 0;
}

textarea:focus,
textarea:active {
    outline: none;
    box-shadow: none;
}

textarea::-webkit-scrollbar {
    display: none;
}